MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.ISnapshotManager Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.ISnapshotManager:

## Public Member Functions
int | ReadNumberOfAvailableSnapshots ()
| Returns number of available snapshot slots. More...
void | LoadSnapshot (int snapshotNumber)
| Loads the snapshot by it's number. More...
void | SaveSnapshot (int snapshotNumber)
| Saves current configuration to the snapshot by it's number. More...
int | ReadStartupSnapshotNumber ()
| Returns snapshot's number that is load on system startup. More...
void | WriteStartupSnapshotNumber (int snapshotNumber)
| Sets snapshot's number that is load on system startup. More...
int | ReadErrorSystemId ()
| Returns ID of system which caused the last snapshot error. More...
int | ReadErrorRegisterId ()
| Returns ID of register which caused the last snapshot error. More...
int | ReadErrorValue ()
| Returns ID of value which caused the last snapshot error. More...

## Member Function Documentation

## ◆ LoadSnapshot()

void MrE2ModuleSdk.Device.ISnapshotManager.LoadSnapshot | ( | int | snapshotNumber | ) |

Loads the snapshot by it's number.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadErrorRegisterId()

int MrE2ModuleSdk.Device.ISnapshotManager.ReadErrorRegisterId | ( |  | ) |

Returns ID of register which caused the last snapshot error.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadErrorSystemId()

int MrE2ModuleSdk.Device.ISnapshotManager.ReadErrorSystemId | ( |  | ) |

Returns ID of system which caused the last snapshot error.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadErrorValue()

int MrE2ModuleSdk.Device.ISnapshotManager.ReadErrorValue | ( |  | ) |

Returns ID of value which caused the last snapshot error.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadNumberOfAvailableSnapshots()

int MrE2ModuleSdk.Device.ISnapshotManager.ReadNumberOfAvailableSnapshots | ( |  | ) |

Returns number of available snapshot slots.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadStartupSnapshotNumber()

int MrE2ModuleSdk.Device.ISnapshotManager.ReadStartupSnapshotNumber | ( |  | ) |

Returns snapshot's number that is load on system startup.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ SaveSnapshot()

void MrE2ModuleSdk.Device.ISnapshotManager.SaveSnapshot | ( | int | snapshotNumber | ) |

Saves current configuration to the snapshot by it's number.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteStartupSnapshotNumber()

void MrE2ModuleSdk.Device.ISnapshotManager.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

Sets snapshot's number that is load on system startup.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs